using MessagePack;

namespace GameMessage
{
    [Message(MessageCode.UpdateNotifierResponse)]
    [MessagePackObject()]
    public class UpdateNotifierResponse : MessageData
    {
        [Key(0)]
        public MaintenanceNotifier[] Notifiers;
    }
    
    /// <summary>
    /// 更新公告
    /// </summary>
    [MessagePackObject]
    public class MaintenanceNotifier
    {
        /// <summary>
        /// -1 是俱乐部 大于0是游戏服务器
        /// </summary>
        [Key(0)]
        public int GameSerId;

        /// <summary>
        /// 开始时间
        /// </summary>
        [Key(1)]
        public long StartTime;
        
        /// <summary>
        /// 持续时间
        /// </summary>
        [Key(2)]
        public long Duration;
    }
}